#2050 closed enhancement (fixed)

Enabling AES-GCM when using external libSRTP version 1.x and 2.0.0

Reported by: riza Owned by: nanang
Priority: normal Milestone: release-2.7.1
Component: pjmedia Version: trunk
Keywords: Cc:
Backport to 1.x milestone: Backported: no

Description

Pjsip is bundled with libSRTP 2.1, however users are allowed to use external
libSRTP (see r5656). This ticket will enabled AES-GCM when using external libSRTP specially version 1.x and 2.0.0.

Thanks to Alexander Traud for the patch.

Change History (1)

comment:1 Changed 23 months ago by riza

  • Resolution set to fixed
  • Status changed from new to closed

In 5670:

Close #2050: Enabling AES-GCM when using external libSRTP version 1.x or 2.0.0.

Note: See TracTickets for help on using tickets.